package j3deditor.bin.util.preferences;

import j3deditor.bin.components.PopupDialog;

import j3deditor.bin.util.Utilities;


/**
 * User preferences window.
 *
 * @author Risto Seene
 */
public class PrefDialog extends PopupDialog{

	/**
	 * Creates an instance of <code>PrefFrame</code>.
	 */
	public PrefDialog(){
		this.initDialog(Utilities.image.getImage("icons/gear.png"), Utilities.translator.translate(this.getClass(), "title"), 380, 500);
		initContent();

		setVisible(true);
	}


	/**
	 * Initializes the content of this window.
	 */
	private void initContent(){
		add(new PrefPanel(this));
	}

}
